# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-10-11 13:56
from __future__ import unicode_literals

from django.db import migrations
from django.db.migrations import RunPython


def create_builtin_template_and_templates_variables(apps, schema_editor):
    template_model = apps.get_model('customer', 'CommunicationEventType')
    variable_model = apps.get_model('customer', 'CommunicationEventTypeTestVariable')

    comm_event_types = [
        {
            'code': 'ORDER',
            'name': 'Уведомление о поступлении заказа',
            'variables': [
                {
                    'code': 'price',
                    'description': 'общая сумма заказа'
                },
                {
                    'code': 'shipping_date',
                    'description': 'дата доставки'
                },
                {
                    'code': 'shipping_method.name',
                    'description': 'способ доставки'
                },
                {
                    'code': 'payment_method.name',
                    'description': 'способ оплаты'
                },
                {
                    'code': 'date_placed',
                    'description': 'дата создания'
                }
            ]
        },
    ]

    for comm_event_type in comm_event_types:
        template = template_model.objects.create(
            name=comm_event_type['name'],
            code=comm_event_type['code'],
        )
        for variable in comm_event_type['variables']:
            variable_model.objects.create(
                template=template,
                code=variable['code'],
                description=variable['description'],
            )


class Migration(migrations.Migration):
    dependencies = [
        ('order', '0030_auto_20171007_1626'),
    ]

    operations = [
        RunPython(create_builtin_template_and_templates_variables)
    ]
